curl --request PUT \
--url https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'key: <key>' \
--header 'secret: <secret>' \
--data '
{
"name": "<string>",
"useBasicAuth": true,
"username": "<string>",
"password": "<string>",
"webhookURL": "<string>",
"retryOnFailure": false,
"enabled": true
}
'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}"
payload = {
"name": "<string>",
"useBasicAuth": True,
"username": "<string>",
"password": "<string>",
"webhookURL": "<string>",
"retryOnFailure": False,
"enabled": True
}
headers = {
"key": "<key>",
"secret": "<secret>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {key: '<key>', secret: '<secret>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
useBasicAuth: true,
username: '<string>',
password: '<string>',
webhookURL: '<string>',
retryOnFailure: false,
enabled: true
})
};
fetch('https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "test_webhook201",
"name": "updated webhook",
"webhookURL": "https://example.com/test",
"createdAt": 1684141151,
"updatedAt": 1684145021
}
}
]
}Update Webhook
Updates webhook details of an app.
Headers
Authorization Key
Authorization Secret
The "X-Webhook-Version" header is an optional integer property.When this header is omitted from the request, the system defaults to the legacy webhook, ensuring backward compatibility and seamless operation.Conversely, setting the value of this header to "2" indicates the preference for the new webhook implementation.
Path Parameters
AppID in which the extension has to be enabled/disabled
Id of the webhook
Body
name of the Webhook.
Boolean value for Basic Auth.
Username of the user
Password of the user
Webhook URL of the app
Enables automatic retries for failed webhook deliveries due to non-2xx HTTP responses or network errors.
Webhook should be enabled/ disabled
Response
Update Webhook
Show child attributes
Show child attributes
Was this page helpful?